/***************************************************************************/
/*                                                                         */
/* File: main.cpp                         Date: 14-08-2004                 */
/*                                                                         */
/* Auth: Ben Kenwright                    Email: bkenwright@xbdev.net      */
/*                                                                         */
/* Project: Making a simple IRC Program.  A Bot that thinks and does more! */
/*                                                                         */
/***************************************************************************/ 
/*
   References:
   http://www.suninet.nl/tclguide/index.php?chap=13&pg=-1

*/
/***************************************************************************/ 

#include "brain.h"
#include "xstr.h"
#include <stdio.h>


/***************************************************************************/
/*                                                                         */
/* Name: main(..)                                                          */
/* Date: 07-08-2004                                                        */
/* Orig: bkenwright@xbdev.net                                              */
/*                                                                         */
/* Desc: Program Entry Point                                               */
/*                                                                         */
/*------------------------------> MAIN <-----------------------------------*/
/*                                                                         */
/*         *******  *********     ****      *********    *********         */
/*         *******  *********     ****      **********   *********         */
/*         **          ***       ******     ****   ***      ***            */
/*         ****        ***      ***  ***    ****  ****      ***            */
/*           *****     ***     ***    ***   *********       ***            */
/*             ***     ***     **********   *********       ***            */
/*         *******     ***     ***    ***   ***   ****      ***            */
/*         *******     ***     ***    ***   ***    ****     ***            */
/*                                                                         */
/***************************************************************************/
void main()
{
	Brain * g_pbrain; // For our data in xdata.cpp
    HANDLE  g_handle; // Second thread handle

	printf("Starting Program...\n");

	// Create an instance of our class which does everything
	g_pbrain = new Brain();

	// Set it going in its own thread
	g_handle = (HANDLE) _beginthread( ThreadProc, 0, static_cast<void*>(g_pbrain) );
    
	// We don't need this next part - but we might want to test our irc connection
	// by sending messages ourselves....through the bots mouth as they say.

	char sin[100];
    while( strstr(sin,"end")==0 )
    {
		printf("Enter message:\n");
        gets(sin);
		if( xstrstr(sin, "/me") )
		{
			// remove the /me from front of the string
			strcpy(sin, sin+4);  // 3 char for '/me' and one for the space ' ' after it
			g_pbrain->SendMeChannel(sin);
		}
		else
		{
			g_pbrain->SendChannel(sin);
		}//End if else
		
    }//End while loop

	printf("Ending Program...\n");
}//End main()


